## mozilla-gnome-keyring 0.6.6

=== Makefile ===
PACKAGE          ?= mozilla-gnome-keyring
VERSION          ?= $(shell git describe --tags 2>/dev/null || date +dev-%s)
# if these are empty, we will attempt to auto-detect correct values
#XUL_VER_MIN      ?=
#XUL_VER_MAX      ?=
# package distribution variables
FULLNAME         ?= $(PACKAGE)-$(VERSION)
ARCHIVENAME      ?= $(FULLNAME)


# xulrunner tools. use = not ?= so we don't execute on every invocation
XUL_PKG_NAME     ?= $(shell (pkg-config --atleast-version=2 libxul && echo libxul) \
                         || (pkg-config libxul2                    && echo libxul2))
XUL_PKG_NAME     := $(XUL_PKG_NAME)

# compilation flags

# if pkgconfig file for libxul is available, use it
ifneq ($(XUL_PKG_NAME),)
XUL_CFLAGS       := `pkg-config --cflags $(XUL_PKG_NAME)`
XUL_LDFLAGS      := `pkg-config --libs $(XUL_PKG_NAME)`
XPCOM_ABI_FLAGS  += `pkg-config --libs-only-L $(XUL_PKG_NAME) | sed -e 's/-L\(\S*\).*/-Wl,-rpath=\1/' | sed -n -e 'p;s/^\(.*\)-devel\(.*\)\/lib$$/\1\2/gp'`
endif

GNOME_CFLAGS     := `pkg-config --cflags gnome-keyring-1`
GNOME_LDFLAGS    := `pkg-config --libs gnome-keyring-1`
CXXFLAGS         += -Wall -fno-rtti -fno-exceptions -fPIC -std=gnu++0x
LDFLAGS          +=

# work around mozilla bug #763327
NEED_HASHFUNC    = $(shell echo '\#include "mozilla/HashFunctions.h"'| \
                     $(CXX) $(XUL_CFLAGS) $(CXXFLAGS) -o /dev/null -shared -x c++ -w -fdirectives-only - \
                     && echo true || echo false)
# determine xul version from "mozilla-config.h" include file
XUL_VERSION      = $(shell echo '\#include "mozilla-config.h"'| \
                     $(CXX) $(XUL_CFLAGS) $(CXXFLAGS) -shared -x c++ -w -E -fdirectives-only - | \
                     sed -n -e 's/\#[[:space:]]*define[[:space:]]\+MOZILLA_VERSION[[:space:]]\+\"\(.*\)\"/\1/gp')
XUL_VER_MIN      ?= `echo $(XUL_VERSION) | sed -r -e 's/([^.]+\.[^.]+).*/\1/g'`
XUL_VER_MAX      ?= `echo $(XUL_VERSION) | sed -rn -e 's/([^.]+).*/\1.*/gp'`
# if auto-detect but xulrunner is not available, fall back to these values
XUL_VER_MIN_     ?= 10.0.1
XUL_VER_MAX_     ?= 10.*


# platform-specific handling
# lazy variables, instantiated properly in a sub-make since make doesn't
# support dynamically adjusting the dependency tree during its run
PLATFORM         ?= unknown

TARGET           ?= libgnomekeyring.so
TARGET           := $(TARGET)
XPI_TARGET       := $(FULLNAME).xpi
BUILD_FILES      := \
xpi/platform/$(PLATFORM)/components/$(TARGET) \
xpi/install.rdf \
xpi/chrome.manifest \
xpi/defaults/preferences/gnome-keyring.js \
xpi/chrome/skin/hicolor/seahorse.svg


.PHONY: all build build-xpi tarball
all: build

build: build-xpi

build-xpi: xpcom_abi
ifeq "$(PLATFORM)" "unknown"
# set PLATFORM properly in a sub-make
	PLATFORM=$$(./xpcom_abi) && \
	$(MAKE) -f $(lastword $(MAKEFILE_LIST)) $(XPI_TARGET) PLATFORM=$${PLATFORM}
else
	$(MAKE) -f $(lastword $(MAKEFILE_LIST)) $(XPI_TARGET)
endif

$(XPI_TARGET): $(BUILD_FILES)
	cd xpi && zip -rq ../$@ *

xpi/platform/%/components/$(TARGET): $(TARGET)
	mkdir -p $(@D)
	cp -a $< $@

xpi/install.rdf: install.rdf Makefile
	mkdir -p xpi
	XUL_VER_MIN=$(XUL_VER_MIN); \
	XUL_VER_MAX=$(XUL_VER_MAX); \
	sed -e 's	$${PLATFORM}	'$(PLATFORM)'	g' \
	    -e 's	$${VERSION}	'$(VERSION)'	g' \
	    -e 's	$${XUL_VER_MIN}	'"$${XUL_VER_MIN:-$(XUL_VER_MIN_)}"'	g' \
	    -e 's	$${XUL_VER_MAX}	'"$${XUL_VER_MAX:-$(XUL_VER_MAX_)}"'	g' \
	    $< > $@

xpi/chrome.manifest: chrome.manifest Makefile
	mkdir -p xpi
	sed -e 's	$${PLATFORM}	'$(PLATFORM)'	g' \
	    -e 's	$${TARGET}	'$(TARGET)'	g' \
	    $< > $@

xpi/defaults/preferences/gnome-keyring.js: gnome-keyring.js
	mkdir -p xpi/defaults/preferences
	cp -a $< $@

xpi/chrome/skin/hicolor/seahorse.svg: seahorse.svg
	mkdir -p xpi/chrome/skin/hicolor
	cp -a $< $@

$(TARGET): GnomeKeyring.cpp GnomeKeyring.h Makefile
	$(CXX) $< -o $@ -shared \
	    $(XUL_CFLAGS) $(XUL_LDFLAGS) $(GNOME_CFLAGS) $(GNOME_LDFLAGS) $(CXXFLAGS) $(LDFLAGS)
	chmod +x $@

xpcom_abi: xpcom_abi.cpp HashFunctions.cpp Makefile
ifeq "$(NEED_HASHFUNC)" "true"
	$(CXX) $< -o $@ $(XUL_CFLAGS) $(XUL_LDFLAGS) $(XPCOM_ABI_FLAGS) $(CXXFLAGS) $(LDFLAGS) $(word 2,$^)
else
	$(CXX) $< -o $@ $(XUL_CFLAGS) $(XUL_LDFLAGS) $(XPCOM_ABI_FLAGS) $(CXXFLAGS) $(LDFLAGS)
endif

tarball:
	git archive --format=tar \
	    --prefix=$(FULLNAME)/ HEAD \
	    | gzip - > $(ARCHIVENAME).tar.gz

.PHONY: clean-all clean
clean:
	rm -f $(TARGET)
	rm -f $(XPI_TARGET)
	rm -f xpcom_abi
	rm -f -r xpi

clean-all: clean
	rm -f *.xpi
	rm -f *.tar.gz

=== debian/changelog ===
mozilla-gnome-keyring (0.6.6-1) unstable; urgency=low

  * Fix FTBFS where the platform name contains a /. (Closes: #689189)
  * Fix Vcs-* entries in debian/contol to point to the correct branch.
    (Closes: #689165)
  * Build separate libraries against both xulrunner-dev and
    icedove-dev. (Closes: #690324)
  * Upload to unstable.

 -- Ximin Luo <infinity0@gmx.com>  Fri, 14 Dec 2012 01:05:01 +0000

mozilla-gnome-keyring (0.6.3-1) experimental; urgency=low

  * Initial release  (Closes: #659826).

 -- Ximin Luo <infinity0@gmx.com>  Tue, 05 Jun 2012 14:06:35 +0100

=== debian/control ===
Source: mozilla-gnome-keyring
Section: web
Priority: optional
Maintainer: Ximin Luo <infinity0@gmx.com>
Build-Depends: cdbs,
               debhelper (>= 7),
               dpkg-dev (>= 1.16.1),
               icedove-dev (>= 10.0),
               libgnome-keyring-dev,
               mozilla-devscripts (>= 0.29),
               xulrunner-dev (>= 10.0)
Standards-Version: 3.9.3
Homepage: https://github.com/infinity0/mozilla-gnome-keyring
Vcs-Git: git://github.com/infinity0/mozilla-gnome-keyring.git -b debian
Vcs-Browser: https://github.com/infinity0/mozilla-gnome-keyring/tree/debian

Package: xul-ext-gnome-keyring
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}, ${xpi:Depends}
Recommends: ${xpi:Recommends}
Provides: ${xpi:Provides}
Enhances: ${xpi:Enhances}
Breaks: ${xpi:Breaks}
Conflicts: iceape (<< 2.0), iceweasel (<< 3.0)
Description: Store mozilla passwords in GNOME Keyring.
 This extenion integrates gnome-keyring into xulrunner applications as the
 software security device.

=== debian/rules ===
#!/usr/bin/make -f

# clean build from git (including .orig.tar.gz if non-existent):
# $ git-buildpackage --git-upstream-branch=master --git-debian-branch=debian --git-upstream-tree=branch

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/mozilla-devscripts/xpi.mk

export VERSION=$(DEB_UPSTREAM_VERSION)

# Use this when #688438 is fixed, and get rid of Makefile.combined
#MOZ_XPI_BUILD_COMMAND = make
#MOZ_XPI_CLEAN_COMMAND = make clean

MOZ_XPI_BUILD_COMMAND = make -C debian -f Makefile.combined all
MOZ_XPI_CLEAN_COMMAND = make -C debian -f Makefile.combined clean-all

## mozilla-gnome-keyring 0.6.11

=== Makefile ===
PACKAGE          ?= mozilla-gnome-keyring
VERSION          ?= $(shell git describe --tags --match '[0-9]*' 2>/dev/null || date +dev-%s)
# if these are empty, we will attempt to auto-detect correct values
#XUL_VER_MIN      ?=
#XUL_VER_MAX      ?=
# package distribution variables
FULLNAME         ?= $(PACKAGE)-$(VERSION)
ARCHIVENAME      ?= $(FULLNAME)


# xulrunner tools. use := so we don't execute on every use of the variable
XUL_PKG_NAME     ?= $(shell (pkg-config --atleast-version=2 libxul && echo libxul) \
                         || (pkg-config libxul2                    && echo libxul2))
XUL_PKG_NAME     := $(XUL_PKG_NAME)

# compilation flags

# if pkgconfig file for libxul is available, use it
ifneq ($(XUL_PKG_NAME),)
XUL_CFLAGS       := `pkg-config --cflags $(XUL_PKG_NAME)`
XUL_LDFLAGS      := `pkg-config --libs $(XUL_PKG_NAME)`
XPCOM_ABI_FLAGS  := `pkg-config --libs-only-L $(XUL_PKG_NAME) | sed -e 's/-L\(\S*\).*/-Wl,-rpath=\1/' | sed -n -e 'p;s/^\(.*\)-devel\(.*\)\/lib$$/\1\2/gp'`
endif

GNOME_CFLAGS     := `pkg-config --cflags gnome-keyring-1`
GNOME_LDFLAGS    := `pkg-config --libs gnome-keyring-1`
CXXFLAGS         += -Wall -fno-rtti -fno-exceptions -fPIC -std=gnu++0x -D__STDC_LIMIT_MACROS
LDFLAGS          +=

# if auto-detection fails, fall back to these values
XUL_VER_MIN_     ?= 10.0.1
XUL_VER_MAX_     ?= 10.*

# platform-specific handling
# lazy variables, instantiated properly in a sub-make since make doesn't
# support dynamically adjusting the dependency tree during its run
PLATFORM         ?= unknown

TARGET           ?= libgnomekeyring.so
TARGET           := $(TARGET)
XPI_TARGET       := $(FULLNAME).xpi
BUILD_FILES      := \
xpi/platform/$(PLATFORM)/components/$(TARGET) \
xpi/install.rdf \
xpi/chrome.manifest \
xpi/defaults/preferences/gnome-keyring.js \
xpi/chrome/skin/hicolor/seahorse.svg


.PHONY: all build build-xpi tarball
all: build

build: build-xpi

build-xpi: config.vars
ifndef HAVE_CONFIG_VARS
# set build-environment variables properly in a sub-make
	. ./$<; \
	$(MAKE) -f $(lastword $(MAKEFILE_LIST)) $(XPI_TARGET)
else
	$(MAKE) -f $(lastword $(MAKEFILE_LIST)) $(XPI_TARGET)
endif

SHELL_EXPORT := $(foreach v,CXX XUL_CFLAGS XUL_LDFLAGS XPCOM_ABI_FLAGS GNOME_CFLAGS GNOME_LDFLAGS CXXFLAGS LDFLAGS,$(v)="$($(v))")
CXX_MACRO_EXPORT := $(foreach v,HAVE_NSILMS_CHAR16_T HAVE_NSILMS_GETISLOGGEDIN HAVE_NSILMS_INITWITHFILE_2 HAVE_MOZ_BUG_956507 HAVE_MOZGLUE,-D$(v)="$($(v))")

config.vars: config.sh GnomeKeyring.h xpcom_abi.cpp Makefile
	$(SHELL_EXPORT) sh $^ > $@

$(XPI_TARGET): $(BUILD_FILES)
	cd xpi && zip -rq ../$@ *

xpi/platform/%/components/$(TARGET): $(TARGET)
	mkdir -p $(@D)
	cp -a $< $@

xpi/install.rdf: install.rdf Makefile
	mkdir -p xpi
	XUL_VER_MIN=$(XUL_VER_MIN); \
	XUL_VER_MAX=$(XUL_VER_MAX); \
	sed -e 's	$${PLATFORM}	'$(PLATFORM)'	g' \
	    -e 's	$${VERSION}	'$(VERSION)'	g' \
	    -e 's	$${XUL_VER_MIN}	'"$${XUL_VER_MIN:-$(XUL_VER_MIN_)}"'	g' \
	    -e 's	$${XUL_VER_MAX}	'"$${XUL_VER_MAX:-$(XUL_VER_MAX_)}"'	g' \
	    $< > $@

xpi/chrome.manifest: chrome.manifest Makefile
	mkdir -p xpi
	sed -e 's	$${PLATFORM}	'$(PLATFORM)'	g' \
	    -e 's	$${TARGET}	'$(TARGET)'	g' \
	    $< > $@

xpi/defaults/preferences/gnome-keyring.js: gnome-keyring.js
	mkdir -p xpi/defaults/preferences
	cp -a $< $@

xpi/chrome/skin/hicolor/seahorse.svg: seahorse.svg
	mkdir -p xpi/chrome/skin/hicolor
	cp -a $< $@

$(TARGET): GnomeKeyring.cpp GnomeKeyring.h
	$(CXX) $< -o $@ -shared $(CXX_MACRO_EXPORT) \
	    $(XUL_CFLAGS) $(XUL_LDFLAGS) $(GNOME_CFLAGS) $(GNOME_LDFLAGS) $(CXXFLAGS) $(LDFLAGS)
	chmod +x $@

tarball:
	git archive --format=tar \
	    --prefix=$(FULLNAME)/ HEAD \
	    | gzip - > $(ARCHIVENAME).tar.gz

.PHONY: clean-all clean
clean:
	rm -f $(TARGET)
	rm -f $(XPI_TARGET)
	rm -f -r xpi

clean-all: clean
	rm -f *.xpi
	rm -f *.tar.gz
	rm -f config.vars xpcom_abi

=== debian/changelog ===
mozilla-gnome-keyring (0.6.11-3) unstable; urgency=medium

  * Build for iceweasel 31 and icedove 31. (Closes: #757933)

 -- Ximin Luo <infinity0@pwned.gg>  Sat, 16 Aug 2014 12:01:35 +0100

mozilla-gnome-keyring (0.6.11-2) unstable; urgency=medium

  * Build for iceweasel 30 and icedove 30.
  * Update to new iceweasel-dev, was xulrunner-dev. (Closes: #752839)

 -- Ximin Luo <infinity0@pwned.gg>  Fri, 27 Jun 2014 17:24:41 +0100

mozilla-gnome-keyring (0.6.11-1) unstable; urgency=medium

  * New upstream release. (Closes: #749521)
  * Build for iceweasel 29 and icedove 30.

 -- Ximin Luo <infinity0@pwned.gg>  Sun, 01 Jun 2014 17:05:17 +0100

mozilla-gnome-keyring (0.6.9-6) unstable; urgency=low

  * Rebuild for iceweasel 24.2 and icedove 24.2.
  * Update to latest Standards-Version.

 -- Ximin Luo <infinity0@pwned.gg>  Tue, 21 Jan 2014 22:00:30 +0000

mozilla-gnome-keyring (0.6.9-5) unstable; urgency=low

  * Rebuild for iceweasel 24.2 and icedove 17.

 -- Ximin Luo <infinity0@gmx.com>  Thu, 19 Dec 2013 12:52:11 +0000

mozilla-gnome-keyring (0.6.9-4) unstable; urgency=low

  * Rebuild for iceweasel 24.1 and icedove 17.

 -- Ximin Luo <infinity0@gmx.com>  Sat, 09 Nov 2013 18:04:50 +0000

mozilla-gnome-keyring (0.6.9-3) unstable; urgency=low

  * Rebuild for iceweasel 24 and icedove 17.

 -- Ximin Luo <infinity0@gmx.com>  Fri, 20 Sep 2013 12:46:44 +0100

mozilla-gnome-keyring (0.6.9-2) unstable; urgency=low

  * Rebuild for iceweasel 23 and icedove 17.
  * Upload to unstable.

 -- Ximin Luo <infinity0@gmx.com>  Fri, 30 Aug 2013 23:51:51 +0100

mozilla-gnome-keyring (0.6.9-1) experimental; urgency=low

  * New upstream release.
  * Rebuild for iceweasel 22 and icedove 17.

 -- Ximin Luo <infinity0@gmx.com>  Sun, 28 Jul 2013 18:56:10 +0100

mozilla-gnome-keyring (0.6.8-1) experimental; urgency=low

  * New upstream release.
  * Rebuild for iceweasel 19 and icedove 17.

 -- Ximin Luo <infinity0@gmx.com>  Sat, 23 Feb 2013 20:54:07 +0000

mozilla-gnome-keyring (0.6.7-1) experimental; urgency=low

  * New upstream release.
  * Rebuild for iceweasel 18 and icedove 17.

 -- Ximin Luo <infinity0@gmx.com>  Sun, 20 Jan 2013 22:18:45 +0000

mozilla-gnome-keyring (0.6.6-2) experimental; urgency=low

  * Rebuild for iceweasel 17 and icedove 17.
  * Update to latest Standards-Version.

 -- Ximin Luo <infinity0@gmx.com>  Mon, 31 Dec 2012 14:42:31 +0000

=== debian/control ===
Source: mozilla-gnome-keyring
Section: web
Priority: optional
Maintainer: Ximin Luo <infinity0@pwned.gg>
Build-Depends: debhelper (>= 9),
               dpkg-dev (>= 1.16.1),
               icedove-dev (>= 31.0),
               libgnome-keyring-dev,
               mozilla-devscripts (>= 0.29),
               iceweasel-dev (>= 31.0)
Standards-Version: 3.9.5
Homepage: https://github.com/infinity0/mozilla-gnome-keyring
Vcs-Git: git://github.com/infinity0/mozilla-gnome-keyring.git -b debian
Vcs-Browser: https://github.com/infinity0/mozilla-gnome-keyring/tree/debian

Package: xul-ext-gnome-keyring
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}, ${xpi:Depends}
Recommends: ${xpi:Recommends}
Provides: ${xpi:Provides}
Enhances: ${xpi:Enhances}
Breaks: ${xpi:Breaks}
Description: Store mozilla passwords in GNOME Keyring
 This extension integrates gnome-keyring into xulrunner applications as the
 software security device.
 .
 This replaces the default password manager in Firefox and Thunderbird
 with an implementation which uses GNOME Keyring. This is a centralised
 system-based password manager, which is more simple to handle than
 per-application management.

=== debian/rules ===
#!/usr/bin/make -f

# clean build from git (including .orig.tar.gz if non-existent):
gbp:
	gbp buildpackage --git-upstream-branch=master --git-upstream-tree=branch --git-debian-branch=debian \
	  --git-pbuilder '-I.*' '-i.git\|.cproject\|.project\|.settings'
.PHONY: gbp

%:
	dh $@ --with xul-ext --buildsystem=xul_ext

override_dh_auto_build:
	make -C debian -f Makefile.combined all

override_dh_auto_clean:
	make -C debian -f Makefile.combined clean-all

# temporary measure until #750100 is fixed
override_dh_gencontrol:
	sed -i -e '/^xpi:\(Depends\|Breaks\)/s/)/~)/g' debian/xul-ext-gnome-keyring.substvars
	dh_gencontrol

=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*\/)?(\d[\d\.]*)\.tar\.gz/mozilla-gnome-keyring-$1.tar.gz/" \
 https://github.com/infinity0/mozilla-gnome-keyring/tags (?:.*/)?(\d[\d\.]*)\.tar\.gz

## mozilla-gnome-keyring 0.10

=== debian/changelog ===
mozilla-gnome-keyring (0.10-1~deb8u1) jessie; urgency=medium

  * New upstream release. (Closes: #797040)

 -- Ximin Luo <infinity0@debian.org>  Thu, 02 Jul 2015 03:49:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,19 @@
 Source: mozilla-gnome-keyring
 Section: web
 Priority: optional
-Maintainer: Ximin Luo <infinity0@pwned.gg>
+Maintainer: Ximin Luo <infinity0@debian.org>
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1),
-               icedove-dev (>= 31.0),
-               libgnome-keyring-dev,
                mozilla-devscripts (>= 0.29),
-               iceweasel-dev (>= 31.0)
-Standards-Version: 3.9.5
-Homepage: https://github.com/infinity0/mozilla-gnome-keyring
+Standards-Version: 3.9.6
+Homepage: https://github.com/swick/mozilla-gnome-keyring
 Vcs-Git: git://github.com/infinity0/mozilla-gnome-keyring.git -b debian
 Vcs-Browser: https://github.com/infinity0/mozilla-gnome-keyring/tree/debian
 
 Package: xul-ext-gnome-keyring
-Architecture: any
+Architecture: all
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${xpi:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${xpi:Depends}, libgnome-keyring0
 Recommends: ${xpi:Recommends}
 Provides: ${xpi:Provides}
 Enhances: ${xpi:Enhances}

=== debian/rules ===
#!/usr/bin/make -f

# clean build from git (including .orig.tar.gz if non-existent):
gbp:
	gbp buildpackage --git-upstream-branch=master --git-upstream-tree=branch --git-debian-branch=debian --git-pbuilder
.PHONY: gbp

%:
	dh $@ --with xul-ext

override_dh_auto_build:
	TZ=UTC dh_auto_build

override_dh_auto_install:
	install-xpi bin/gnome-keyring-integration.xpi

=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*\/)?v?(\d[\d\.]*)\.tar\.gz/mozilla-gnome-keyring-$1.tar.gz/,uversionmangle=s/^v?//" \
 https://github.com/swick/mozilla-gnome-keyring/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## mozilla-gnome-keyring 0.12

=== Makefile ===
# The name of the extension.
extension_name := gnome-keyring-integration

# The UUID of the extension.
extension_uuid := gnome-keyring-integration@sebastianwick.net

# The zip application to be used.
ZIP := zip

# The target location of the build and build files.
bin_dir := ./bin

# The target XPI file.
xpi_file := $(bin_dir)/$(extension_name).xpi

# This builds the extension XPI file.
.PHONY: all
all: $(xpi_file)
	@echo
	@echo "Build finished successfully."
	@echo

# This cleans all temporary files and directories created by 'make'.
.PHONY: clean
clean:
	@rm -rf $(bin_dir)
	@echo "Cleanup is done."

# The sources for the XPI file.
xpi_built := install.rdf \
             chrome.manifest \
             $(wildcard chrome/skin/hicolor/*.*) \
             $(wildcard components/*.*) \
             $(wildcard content/*.*) \
             $(wildcard defaults/preferences/*.*)

$(xpi_file): $(xpi_built) Makefile
	@echo "Creating XPI file."
	@mkdir -p $(bin_dir)
	@$(ZIP) $(xpi_file) $(xpi_built)
	@echo "Creating XPI file. Done!"

=== debian/changelog ===
mozilla-gnome-keyring (0.12-1) unstable; urgency=medium

  * New upstream release. (Closes: #838546)

 -- Ximin Luo <infinity0@debian.org>  Sun, 25 Sep 2016 13:03:19 +0200

mozilla-gnome-keyring (0.11+git4-3) unstable; urgency=medium

  * Set maxVersion to 999. (Closes: #838746)

 -- Ximin Luo <infinity0@debian.org>  Sat, 24 Sep 2016 11:29:52 +0200

mozilla-gnome-keyring (0.11+git4-2) unstable; urgency=medium

  * Remove maxVersion constraint. (Closes: #838546)

 -- Ximin Luo <infinity0@debian.org>  Thu, 22 Sep 2016 13:34:26 +0200

mozilla-gnome-keyring (0.11+git4-1) unstable; urgency=medium

  * New upstream release and commits.

 -- Ximin Luo <infinity0@debian.org>  Sun, 18 Sep 2016 14:57:48 +0200

mozilla-gnome-keyring (0.10-2) unstable; urgency=medium

  * Rebuild against new mozilla-devscripts. (Closes: #819508)
  * moz-sec-get.sh: Correctly handle passwords with a backslash.
  * Update to latest Standards-Version. No changes required.
  * Use HTTPS links in Vcs-* fields.

 -- Ximin Luo <infinity0@debian.org>  Thu, 12 May 2016 19:24:33 +0200

mozilla-gnome-keyring (0.10-1) unstable; urgency=medium

  * New upstream release.

 -- Ximin Luo <infinity0@pwned.gg>  Thu, 02 Jul 2015 03:49:43 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1),
                mozilla-devscripts (>= 0.29),
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/swick/mozilla-gnome-keyring
-Vcs-Git: git://github.com/infinity0/mozilla-gnome-keyring.git -b debian
+Vcs-Git: https://github.com/infinity0/mozilla-gnome-keyring.git -b debian
 Vcs-Browser: https://github.com/infinity0/mozilla-gnome-keyring/tree/debian
 
 Package: xul-ext-gnome-keyring
